<Unified_Provisioning version="1.0">
	<ApplicationMetadata>
		<Name>Device Management v1.2</Name>
		<AppId>w7</AppId>
		<TextLabel>WAP_OTA_DEVICE_MANAGER_TXT</TextLabel>
		<RegistryPath>/apps/dm/dm-acc</RegistryPath>
		<AccountKey>account-id</AccountKey>
		<MaxAccounts>5</MaxAccounts>
		<AccountValidatorCID>465c30de-60e3-4e05-bd26-a5a39eed8308</AccountValidatorCID>
	</ApplicationMetadata>
	
	<RequiredRegValues>				        
		<Value>
			<RegistryValuePath>/apps/dm/dm-acc/account-id/server-id</RegistryValuePath>
			<RegistryValueType>WString</RegistryValueType>
			<DefaultValue>N/A</DefaultValue>
		</Value>
		
		<Value>
			<RegistryValuePath>/apps/dm/dm-acc/account-id/server-address</RegistryValuePath>
			<RegistryValueType>WString</RegistryValueType>
			<DefaultValue>N/A</DefaultValue>
		</Value>

		<Value>
			<RegistryValuePath>/apps/dm/common-settings/last-cp-account</RegistryValuePath>
			<RegistryValueType>UInt</RegistryValueType>
			<DefaultValue>account-id</DefaultValue>
		</Value>
	</RequiredRegValues>
	
	<DMTree>
		<DMAcc type="node">			
			<X type="placeholder" occurrence="0/5">
				<AppID type="leaf" occurrence="1/1">
					<SettingID>0</SettingID>
					<Description>This node specifies the application ID for device management account object</Description>
					<RegistryValuePath>N/A</RegistryValuePath>
					<RegistryValueType>N/A</RegistryValueType>
					<PossibleValue>N/A</PossibleValue>
					<AccessType>Get</AccessType>
					<CPTag>APPLICATION/APPID</CPTag>
					<DefaultValue>w7</DefaultValue>
				</AppID>
			
				<ServerID type="leaf" occurrence="1/1">
					<SettingID>1</SettingID>
					<Description>The ServerID is used to uniquely identify a DM-server</Description>
					<RegistryValuePath>/apps/dm/dm-acc/account-id/server-id</RegistryValuePath>
					<RegistryValueType>WString</RegistryValueType>
					<PossibleValue>N/A</PossibleValue>
					<AccessType>Add</AccessType>
					<AccessType>Get</AccessType>
					<CPTag>APPLICATION/PROVIDER-ID</CPTag>
					<DefaultValue>N/A</DefaultValue>
				</ServerID>
				
				<Name type="leaf" occurrence="0/1">
					<SettingID>2</SettingID>
					<Description>The displayable name of the account</Description>
					<RegistryValuePath>/apps/dm/dm-acc/account-id/displayable-name</RegistryValuePath>
					<RegistryValueType>WString</RegistryValueType>
					<PossibleValue>N/A</PossibleValue>
					<AccessType>Add</AccessType>
					<AccessType>Get</AccessType>
					<AccessType>Replace</AccessType>
					<CPTag>APPLICATION/NAME</CPTag>
					<DefaultValue>DM-Account</DefaultValue>
				</Name>
				
				<PrefConRef type="leaf" occurrence="0/1">
					<SettingID>3</SettingID>
					<Description>Name of data account to use</Description>
					<RegistryValuePath type="napid">/apps/dm/dm-acc/account-id/pref-con-ref</RegistryValuePath>
					<RegistryValueType>WString</RegistryValueType>
					<PossibleValue>N/A</PossibleValue>
					<AccessType>Add</AccessType>
					<AccessType>Get</AccessType>
					<AccessType>Replace</AccessType>
					<CPTag>APPLICATION/TO-PROXY</CPTag>
					<CPTag>APPLICATION/TO-NAPID</CPTag>
					<DefaultValue>N/A</DefaultValue>
				</PrefConRef>
				
				<AppAddr type="node">
					<X type="placeholder" occurrence="1/1">
						<Address type="leaf" occurrence="1/1">
							<SettingID>4</SettingID>
							<Description>The URL to the DM-server</Description>
							<RegistryValuePath>/apps/dm/dm-acc/account-id/server-address</RegistryValuePath>
							<RegistryValueType>WString</RegistryValueType>
							<PossibleValue>N/A</PossibleValue>
							<AccessType>Add</AccessType>
							<AccessType>Get</AccessType>
							<AccessType>Replace</AccessType>
							<CPTag>APPLICATION/ADDR</CPTag>
							<CPTag>APPLICATION/APPADDR/ADDR</CPTag>
							<DefaultValue>N/A</DefaultValue>
						</Address>
						
						<AddrType type="leaf" occurrence="1/1">
							<SettingID>5</SettingID>
							<Description>The type of the address</Description>
							<RegistryValuePath>/apps/dm/dm-acc/account-id/addr-type</RegistryValuePath>
							<RegistryValueType>WString</RegistryValueType>
							<PossibleValue>URI</PossibleValue>
							<PossibleValue>IPv4</PossibleValue>
							<PossibleValue>IPv6</PossibleValue>
							<AccessType>Add</AccessType>
							<AccessType>Get</AccessType>
							<AccessType>Replace</AccessType>
							<CPTag>N/A</CPTag>
							<DefaultValue>URI</DefaultValue>
						</AddrType>
						
						<Port type="node">
							<X type="placeholder" occurrence="1/1">
								<PortNbr type="leaf" occurrence="1/1">
									<SettingID>6</SettingID>
									<Description>The port number used to connecting to the server</Description>
									<RegistryValuePath>/apps/dm/dm-acc/account-id/port-nbr</RegistryValuePath>
									<RegistryValueType>UInt</RegistryValueType>
									<PossibleValue>N/A</PossibleValue>
									<AccessType>Add</AccessType>
									<AccessType>Get</AccessType>
									<AccessType>Replace</AccessType>
									<CPTag>APPLICATION/APPADDR/PORT/PORTNBR</CPTag>
									<DefaultValue>80</DefaultValue>
								</PortNbr>
							</X>
						</Port>
					</X>
				</AppAddr>
				
				<AAuthPref type="leaf" occurrence="0/1">
					<SettingID>7</SettingID>
					<Description>Indicates which authentication type should be used when connecting to the server</Description>
					<RegistryValuePath>/apps/dm/dm-acc/account-id/tx-auth-type</RegistryValuePath>
					<RegistryValueType>UInt</RegistryValueType>
					<PossibleValue>BASIC</PossibleValue>
					<PossibleValue>DIGEST</PossibleValue>
					<PossibleValue>HMAC</PossibleValue>
					<AccessType>Add</AccessType>
					<AccessType>Get</AccessType>
					<AccessType>Replace</AccessType>
					<CPTag>N/A</CPTag>
					<DefaultValue>BASIC</DefaultValue>
				</AAuthPref>
				
				<AppAuth type="node">
					<X type="placeholder" occurrence="0/3">
						<AAuthLevel type="leaf" occurrence="1/1">
							<SettingID>8</SettingID>
							<Description>Defines on which level (server, client or http) the authentication data within this placeholder should be used</Description>
							<RegistryValuePath>N/A</RegistryValuePath>
							<RegistryValueType>N/A</RegistryValueType>
							<PossibleValue>SRVCRED</PossibleValue>
							<PossibleValueCP>APPSRV</PossibleValueCP>
							<PossibleValue>CLCRED</PossibleValue>
							<PossibleValueCP>CLIENT</PossibleValueCP>
							<PossibleValue>HTTP</PossibleValue>
							<AccessType>Add</AccessType>
							<AccessType>Get</AccessType>
							<CPTag>APPLICATION/APPAUTH/AAUTHLEVEL</CPTag>
							<DefaultValue>HTTP</DefaultValue>
						</AAuthLevel>
						
						<AAuthType type="leaf" occurrence="1/1">
							<SettingID>9</SettingID>
							<Description>Defines the authentication type to use; BASIC, DIGEST or HMAC</Description>
							<RegistryValuePath settingID="8" hasValue="APPSRV">/apps/dm/dm-acc/account-id/tx-auth-type</RegistryValuePath>
							<RegistryValueType>UInt</RegistryValueType>
							<PossibleValueCP mapsTo="2">BASIC</PossibleValueCP>
							<PossibleValueCP mapsTo="3">DIGEST</PossibleValueCP>
							<PossibleValueCP mapsTo="4">HMAC</PossibleValueCP>
							<AccessType>Get</AccessType>
							<CPTag>APPLICATION/APPAUTH/AAUTHTYPE</CPTag>
							<DefaultValue>3</DefaultValue>
						</AAuthType>
						
						<AAuthName type="leaf" occurrence="0/1">
							<SettingID>10</SettingID>
							<Description>Authentication name</Description>
							<RegistryValuePath settingID="8" hasValue="APPSRV">/apps/dm/dm-acc/account-id/tx-username</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="CLCRED">/apps/dm/dm-acc/account-id/tx-username</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="CLIENT">/apps/dm/dm-acc/account-id/rx-username</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="SRVCRED">/apps/dm/dm-acc/account-id/rx-username</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="HTTP">/apps/dm/dm-acc/account-id/http-username</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="">/apps/dm/dm-acc/account-id/http-username</RegistryValuePath>
							<RegistryValueType>WString</RegistryValueType>
							<PossibleValue>N/A</PossibleValue>
							<AccessType>Add</AccessType>
							<AccessType>Get</AccessType>
							<AccessType>Replace</AccessType>
							<CPTag>APPLICATION/APPAUTH/AAUTHNAME</CPTag>
							<DefaultValue>N/A</DefaultValue>
						</AAuthName>
						
						<AAuthSecret type="leaf" occurrence="0/1">
							<SettingID>11</SettingID>
							<Description>Authentication password</Description>
							<RegistryValuePath settingID="8" hasValue="APPSRV">/apps/dm/dm-acc/account-id/tx-password</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="CLCRED">/apps/dm/dm-acc/account-id/tx-password</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="CLIENT">/apps/dm/dm-acc/account-id/rx-password</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="SRVCRED">/apps/dm/dm-acc/account-id/rx-password</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="HTTP">/apps/dm/dm-acc/account-id/http-password</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="">/apps/dm/dm-acc/account-id/http-password</RegistryValuePath>
							<RegistryValueType>WString</RegistryValueType>
							<PossibleValue>N/A</PossibleValue>
							<AccessType>Add</AccessType>
							<AccessType>Replace</AccessType>
							<CPTag>APPLICATION/APPAUTH/AAUTHSECRET</CPTag>
							<DefaultValue>N/A</DefaultValue>
						</AAuthSecret>
						
						<AAuthData type="leaf" occurrence="0/1">
							<SettingID>12</SettingID>
							<Description>Authentication nonce</Description>
							<RegistryValuePath settingID="8" hasValue="APPSRV">/apps/dm/dm-acc/account-id/tx-nonce</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="CLCRED">/apps/dm/dm-acc/account-id/tx-nonce</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="CLIENT">/apps/dm/dm-acc/account-id/rx-nonce</RegistryValuePath>
							<RegistryValuePath settingID="8" hasValue="SRVCRED">/apps/dm/dm-acc/account-id/rx-nonce</RegistryValuePath>
							<RegistryValueType>Bin</RegistryValueType>
							<PossibleValue>N/A</PossibleValue>
							<AccessType>Add</AccessType>
							<AccessType>Replace</AccessType>
							<CPTag encoding="B64">APPLICATION/APPAUTH/AAUTHDATA</CPTag>
							<DefaultValue>N/A</DefaultValue>
						</AAuthData>
					</X>
				</AppAuth>
				
				<Ext type="node">
					<Locked type="leaf" occurrence="0/1">
						<SettingID>13</SettingID>
						<Description>Indicates if this account is locked and can not be edited or removed</Description>
						<RegistryValuePath>/apps/dm/dm-acc/account-id/locked</RegistryValuePath>
						<RegistryValueType>UInt</RegistryValueType>
						<PossibleValue>0</PossibleValue>
						<PossibleValue>1</PossibleValue>
						<AccessType>Add</AccessType>
						<AccessType>Get</AccessType>
						<CPTag>N/A</CPTag>
						<DefaultValue>0</DefaultValue>
					</Locked>
					
					<UserEditable type="leaf" occurrence="0/1">
						<SettingID>14</SettingID>
						<Description>Indicates if user should be able to edit this account via the UI</Description>
						<RegistryValuePath>/apps/dm/dm-acc/account-id/user-editable</RegistryValuePath>
						<RegistryValueType>UInt</RegistryValueType>
						<PossibleValue>0</PossibleValue>
						<PossibleValue>1</PossibleValue>
						<AccessType>Add</AccessType>
						<AccessType>Get</AccessType>
						<AccessType>Replace</AccessType>
						<CPTag>N/A</CPTag>
						<DefaultValue>1</DefaultValue>
					</UserEditable>
					
					<AllowClientInitiated type="leaf" occurrence="0/1">
						<SettingID>15</SettingID>
						<Description>Indicates if this account can be used for client initiated session, i.e. the user can start a DM-session via the UI</Description>
						<RegistryValuePath>/apps/dm/dm-acc/account-id/allow-client-init</RegistryValuePath>
						<RegistryValueType>UInt</RegistryValueType>
						<PossibleValue>0</PossibleValue>
						<PossibleValue>1</PossibleValue>
						<AccessType>Add</AccessType>
						<AccessType>Get</AccessType>
						<AccessType>Replace</AccessType>
						<CPTag>N/A</CPTag>
						<DefaultValue>1</DefaultValue>
					</AllowClientInitiated>
					
					<Notification type="leaf" occurrence="0/1">
						<SettingID>16</SettingID>
						<Description>Indicates if this account can be used for client initiated session, i.e. the user can start a DM-session via the UI</Description>
						<RegistryValuePath>/apps/dm/dm-acc/account-id/notification</RegistryValuePath>
						<RegistryValueType>UInt</RegistryValueType>
						<PossibleValue>0</PossibleValue>
						<PossibleValue>1</PossibleValue>
						<AccessType>Add</AccessType>
						<AccessType>Get</AccessType>
						<AccessType>Replace</AccessType>
						<CPTag>N/A</CPTag>
						<DefaultValue>1</DefaultValue>
					</Notification>
				</Ext>
			</X>
		</DMAcc>
	</DMTree>
</Unified_Provisioning>